Bug 159304 - [update] net-mgmt/nagios to 3.3.1
[update] net-mgmt/nagios to 3.3.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ryan Steinmetz
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-30 04:00 UTC by Ryan Steinmetz
Modified: 2011-08-23 03:00 UTC (History)
0 users

See Also:


Attachments
file.diff (41.84 KB, patch)
2011-07-30 04:00 UTC, Ryan Steinmetz
no flags Details | Diff
nagios-rcd.diff (1.85 KB, patch)
2011-08-10 23:01 UTC, dougb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Steinmetz freebsd_committer 2011-07-30 04:00:26 UTC
Update to 3.3.1

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-07-30 04:00:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zi

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-07-30 04:00:44 UTC
Maintainer of net-mgmt/nagios,

Please note that PR ports/159304 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159304

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-07-30 04:00:47 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 jarrod 2011-08-09 13:09:22 UTC
I'm looking at this patch now and have spotted a few errors which I am corre=
cting. Once the updated patch has completed a run our tinderbox, I will upda=
te and approve with modifications. Should be a day or two. Thanks for the he=
ad start Ryan.=20

Jarrod.
Comment 5 dougb 2011-08-10 23:01:28 UTC
Please consider the attached patch for the rc.d script. It does the
following:

1. Twiddles the whitespace a bit to give a more standard look.
2. Because nagios runs as an unprivileged user it needs to REQUIRE: LOGIN
3. Moves the load_rc_config() call up to the standard location for ports
scripts, and moves the default variable settings to after load_rc_config().
4. New feature: nagios_web_user. This is useful when the web server is
running as a different unprivileged user so that the feature
"Re-schedule the next check of this service" works.


Thanks,

Doug

-- 

	Nothin' ever doesn't change, but nothin' changes much.
			-- OK Go

	Breadth of IT experience, and depth of knowledge in the DNS.
	Yours for the right price.  :)  http://SupersetSolutions.com/
Comment 6 dougb 2011-08-10 23:20:54 UTC
One more item, I am testing this patch and get the following on my
nagios home page:

Nagios® Core
Version 3.3.1
July 25, 2011
Check for updates
A new version of Nagios Core is available!
Visit nagios.org to download Nagios 3.3.1.


Not sure why it doesn't believe that it's already using the latest?

-- 

	Nothin' ever doesn't change, but nothin' changes much.
			-- OK Go

	Breadth of IT experience, and depth of knowledge in the DNS.
	Yours for the right price.  :)  http://SupersetSolutions.com/
Comment 7 jarrod 2011-08-12 15:29:49 UTC
Thanks for the extra tweaks for the rc.d script Doug, I will look at =
incorporating those changes in to the updated patch of Ryan's.

I'm not sure on your web user feature though as the rw directory is =
created as 0775 with ownership nagios:www at install and once running =
nagios.cmd is created as 0660 with the same ownership.  I would expect =
this to be sufficient to allow command submission if the web server =
process owner is a member of the www group.

Jarrod.=
Comment 8 dougb 2011-08-12 20:23:05 UTC
On 08/12/2011 07:29, Jarrod Sayers wrote:
> Thanks for the extra tweaks for the rc.d script Doug, I will look at incorporating those changes in to the updated patch of Ryan's.
> 
> I'm not sure on your web user feature though as the rw directory is created as 0775 with ownership nagios:www at install and once running nagios.cmd is created as 0660 with the same ownership.  I would expect this to be sufficient to allow command submission if the web server process owner is a member of the www group.

Fair enough. Please consider the other changes though.


Thanks,

Doug

-- 

	Nothin' ever doesn't change, but nothin' changes much.
			-- OK Go

	Breadth of IT experience, and depth of knowledge in the DNS.
	Yours for the right price.  :)  http://SupersetSolutions.com/
Comment 9 jarrod 2011-08-20 12:02:21 UTC
Please find below [1] a combined patch of both Ryan's (zi@) and Doug's 
(dougb@).  Some unnecessary changes (in whitespace, positioning or file 
naming) in both patches have not been brought forward as they bring no 
logical benefit to the port.

The changes include are:
- Update to 3.3.1 (zi@)
- Define source distribution license (zi@)
- Standardise failure-prone directory removal (zi@)
- Remove trailing backslash from OPTIONS
- Correct requirements for rc.d script (dougb@)
- Relocate load_rc_config above empty variable tests (dougb@)
- Removal of update notification

I am looking at the tidy up of the two pthreads hacks in configure.in 
separately and will raise a PR when these changes have been tested some 
more on a wider variety of hardware.

Files modified:
- ports/net-mgmt/nagios/Makefile
- ports/net-mgmt/nagios/distinfo
- ports/net-mgmt/nagios/files/nagios.in
- ports/net-mgmt/nagios/files/patch-configure.in
- ports/net-mgmt/nagios/files/patch-html-Makefile.in
- ports/net-mgmt/nagios/pkg-plist

Files added:
- ports/net-mgmt/nagios/files/patch-html-main.php

Files removed:
- ports/net-mgmt/nagios/files/patch-html-docs-configcgi.html

[1] http://www.downtools.com.au/~jarrod/FreeBSD/net-mgmt-nagios-3.3.1.diff

Jarrod.
Comment 10 dfilter freebsd_committer 2011-08-23 02:51:03 UTC
zi          2011-08-23 01:50:48 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/nagios      Makefile distinfo pkg-plist 
    net-mgmt/nagios/files nagios.in patch-configure.in 
                          patch-html-Makefile.in 
  Added files:
    net-mgmt/nagios/files patch-html-main.php 
  Removed files:
    net-mgmt/nagios/files patch-html-docs-configcgi.html 
                          pkg-deinstall.in pkg-install.in 
  Log:
  - Update to 3.3.1 [1]
  - Use USERS/GROUPS [1]
  - Fix whitespace in Makefile [1]
  - Add LICENSE [1]
  - Correct rc script issues [2]
  
  PR:             ports/159304
  Submitted by:   Ryan Steinmetz (zi@) [1], Doug Barton (dougb@) [2]
  Approved by:    wxs (mentor), maintainer
  
  Revision  Changes    Path
  1.92      +17 -16    ports/net-mgmt/nagios/Makefile
  1.48      +2 -2      ports/net-mgmt/nagios/distinfo
  1.5       +4 -5      ports/net-mgmt/nagios/files/nagios.in
  1.7       +1 -1      ports/net-mgmt/nagios/files/patch-configure.in
  1.5       +22 -11    ports/net-mgmt/nagios/files/patch-html-Makefile.in
  1.4       +0 -11     ports/net-mgmt/nagios/files/patch-html-docs-configcgi.html (dead)
  1.1       +39 -0     ports/net-mgmt/nagios/files/patch-html-main.php (new)
  1.2       +0 -22     ports/net-mgmt/nagios/files/pkg-deinstall.in (dead)
  1.3       +0 -74     ports/net-mgmt/nagios/files/pkg-install.in (dead)
  1.26      +189 -185  ports/net-mgmt/nagios/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Ryan Steinmetz freebsd_committer 2011-08-23 02:54:18 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!